> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a preference.

> 
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/preferences
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/preferences:
    post:
      tags:
        - Preferences
      summary: Create a preference.
      description: |2-

            USER: true
            SERVICE ACCOUNT: true
            
      operationId: PreferencesController_postType
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePreferenceDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
      security:
        - bearer: []
components:
  schemas:
    CreatePreferenceDto:
      type: object
      properties:
        name:
          type: string
          description: You must specify name.
        desc:
          type: string
          description: You can specify desc.
        type:
          type: string
          description: Type of preference
        referenceType:
          type: string
          description: >-
            You must specify reference type (e.g. users/groups etc.), allowed
            pattern: "a-zA-Z-0-9_".
        reference:
          type: string
          description: Id of reference
        global:
          type: boolean
          description: >-
            You can specify if preference is shared with everyone else ('false'
            by default).
        default:
          type: boolean
          description: You can specify if preference is default ('false' by default).
        autoFit:
          type: boolean
          description: >-
            You can specify if accessing to this preference force 'Auto fit fill
            columns' when accessing ('false' by default).
        data:
          description: You must provide details.
          type: array
          items:
            type: array
      required:
        - name
        - type
        - referenceType
        - data
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````